订阅本站
收藏本站
微博分享
QQ空间分享

Foxit Reader GpRuntime::GpLock::GpLock释放后重利用远程代码执行漏洞

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏

发布日期:2016-01-14
更新日期:2016-02-03

受影响系统:

Foxit Foxit Reader

描述:


Foxit Reader是一款小型的PDF文档查看器和打印程序。

Foxit Reader使用Gdiplus API的方式中存在安全漏洞。构造的PDF会强制使用在GpRuntime::GpLock::GpLock中释放过的悬挂指针。攻击者利用此漏洞可在当前进程上下文中执行任意代码。

<*来源:Jaanus Kp
        Clarified Security
  *>

建议:


厂商补丁:

Foxit
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

https://www.foxitsoftware.com/support/security-bulletins.php

本文永久更新链接地址:http://www.linuxidc.com/Linux/2016-02/128113.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: